Loading...
Searching...
No Matches
Catch::Benchmark::Detail::ChronometerConcept Struct Referenceabstract

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::Benchmark::Detail::ChronometerConcept:
[legend]

## Public Member Functions

virtual void | start ()=0
virtual void | finish ()=0
virtual | ~ChronometerConcept ()
| ChronometerConcept ()=default
| ChronometerConcept (ChronometerConcept const &)=default
ChronometerConcept & | operator= (ChronometerConcept const &)=default

## Constructor & Destructor Documentation

## ~ChronometerConcept()

Catch::Benchmark::Detail::ChronometerConcept::~ChronometerConcept | ( |  | ) |

virtualdefault

## ChronometerConcept() [1/2]

Catch::Benchmark::Detail::ChronometerConcept::ChronometerConcept | ( |  | ) |

default

Here is the caller graph for this function:

## ChronometerConcept() [2/2]

Catch::Benchmark::Detail::ChronometerConcept::ChronometerConcept | ( | ChronometerConcept const & |  | ) |

default

Here is the call graph for this function:

## Member Function Documentation

## finish()

virtual void Catch::Benchmark::Detail::ChronometerConcept::finish | ( |  | ) |

pure virtual

Implemented in Catch::Benchmark::Detail::ChronometerModel< Clock >.

## operator=()

ChronometerConcept & Catch::Benchmark::Detail::ChronometerConcept::operator= | ( | ChronometerConcept const & |  | ) |

default

Here is the call graph for this function:

## start()

virtual void Catch::Benchmark::Detail::ChronometerConcept::start | ( |  | ) |

pure virtual

Implemented in Catch::Benchmark::Detail::ChronometerModel< Clock >.

The documentation for this struct was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp